#ifndef _UI_SET_VALE_LIST_H
#define _UI_SET_VALE_LIST_H
#include "ui_config.h"
#include "data_config.h"

bool ui_comp_set_vale_list_create(SetValueListPage_t *page, const SetValueListPageConfig_t *config);
// void ui_comp_set_vale_list_refresh(SetValueListPage_t *page, const SetValueListPageConfig_t *config);
void ui_comp_set_vale_list_destroy(SetValueListPage_t *page);

float ui_comp_set_vale_list_get_value(SetValueListPage_t *page);
int ui_comp_set_vale_list_spinbox(SetValueListPage_t *page, SpinboxSetOperate type);

#endif